noinst_LIBRARIES=liblh.a
## Requires input.
## TESTS=lh_test
EXTRA_PROGRAMS=lh_test
INCLUDES=-I$(top_srcdir)/crypto


liblh_a_SOURCES=lhash.c lh_stats.c

lh_test_SOURCES=lh_test.c
lh_test_LDFLAGS=-L$(top_builddir)/crypto
lh_test_LDADD=-lcrypto
lh_test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl lhash.h num.pl

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
